import { TEMPLATE_DESCRIPTION, TEMPLATE_INVENTAIRE } from "../common/_module.mjs";
import { INTEGER } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelConteneur extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      TEMPLATE_INVENTAIRE.fields(),
      {
        capacite: new fields.NumberField({ label: "Capacité", initial: 0, ...INTEGER }),
        contenu: new fields.ArrayField(new fields.StringField({}), { label: "Contenu", initial: [] }),
      }
    )
  }
}
